RewriteEngine On
RewriteCond %{REQUEST_URI} ^/.well-known/keybase.txt$
RewriteCond %{HTTP_HOST} ^(.*)$
RewriteRule ^(.*) /.well-known/%1.keybase.txt

# Combat link rot
RewriteCond %{HTTP_HOST} ^nwex.de$
RewriteRule ^skateRAUS.gif$ https://702.rip/raus.gif [L,R=301]
RewriteRule ^skateREIN.gif$ https://702.rip/rein.gif [L,R=301]
RewriteRule ^RAUS.gif$ https://702.rip/raus.gif [L,R=301]
RewriteRule ^REIN.gif$ https://702.rip/rein.gif [L,R=301]

# Nice to have redirects
RewriteRule ^git$ https://gitlab.upi.li/networkException/nwex.de [L,R=301]
RewriteRule ^xhr$ https://nwex.de/xhr.html [L,R=301]

# MIME Types
<FilesMatch "webfinger$">
    ForceType application/jrd+json
</FilesMatch>
